package jp.agentec.abook.abv.bl.common.nw;

import jp.agentec.abook.abv.bl.common.exception.NetworkDisconnectedException;

public interface NetworkAdapter {
	boolean isNetworkConnected();
	boolean isWifiConnected();
	String getWifiAdapterMacAddress(Object context);
	int getActiveNetworkType() throws NetworkDisconnectedException;
}
